function Level_Mean=Level_Mean_Universal(I_array)

    if length(I_array)>3
        pks_Lower =findpeaks(-I_array); 
        level_mean_L=mean(-pks_Lower);
        
        pks_upper =findpeaks(I_array); 
        level_mean_U=mean(pks_upper);
        
        if level_mean_U>0 && level_mean_L>0
            Level_Mean=(level_mean_L+level_mean_U)/2;
        elseif level_mean_U>0
            Level_Mean=level_mean_U;
        elseif level_mean_L>0
            Level_Mean=level_mean_L;
        else
            Level_Mean=weighted_mean(I_array);
        end
    else
        Level_Mean=weighted_mean(I_array);
    end


end